package com.gh.vspace

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.gh.gamecenter.core.runOnIoThread
import com.gh.gamecenter.history.ManageOption

class VDownloadManagerWrapperViewModel : ViewModel() {

    init {
        runOnIoThread {
            if (VHelper.isVIsUsed()) {
                // 进入的时候再连接一遍服务，尽量保证能用
                VHelper.connectService(true)
            }
        }
    }

    var currentOptionLiveData = MutableLiveData(ManageOption.OPTION_MANAGER)

}